# Copyright (C) 2010 Generalitat de Catalunya 
# 
# This file is part of Linkat CTTI.  
# 
# Linkat CTTI is free software; you can redistribute it and/or modify it under
# the terms of the GNU General Public License as published by the Free
# Software Foundation; either version 3 of the License, or (at your option) any
# later version.
# 
# Linkat CTTI is distributed in the hope that it will be useful, but WITHOUT
# ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
# FOR A PARTICULAR PURPOSE. See the GNU General Public License for further
# details, currently published at http://www.gnu.org/licenses/gpl.txt or in the
# gpl.txt in the ["legal" folder] of this distribution.
# 
# You should have received a copy of the GNU General Public License along with
# this program; If not, see <http://www.gnu.org/licenses/>
# 
# Authors: Jordi "Txor" Casas Ríos <jordi.casas@opentrends.net>, openTrends Solucions
# i Sistemes, S.L.
# 
# You may contact the copyright holder at: Centre de Telecomunicacions i
# Tecnologies de la Informació de la Generalitat de Catalunya, Pg. de Gràcia,
# 11 Esc. A 3a. Planta, 08007 Barcelona, correu.ctti@gencat.cat.

Name:           linkat4-client_configuration
License:        GPL
Vendor:		Linkat
Group:          System
Summary:        Linkat 4 Client configuration scripts
Version:        0.7
Release:        13.1
BuildArch:      i586
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Source:         %{name}-%{version}.tar.bz2 
BuildRequires:	coreutils
Requires:  	samba-client bash nfs-utils pwdutils sysvinit xntp aaa_base sysconfig coreutils pam jclic jclic-projects mysql-client java java-devel pam_ldap nss_ldap zenity portmap python

%description
Linkat 4 client configuration script that configures Linkat 4 as a client for use the Central server.

Rewriter & coauthor: Jordi "Txor" Casas Ríos <jcasas@opentrends.net>

Authors:
--------
Jordi Bruguera i Cortada <jorx#opensuse.org>
Jordi Massaguer Pla <jmassaguer@opentrends.net>
Javier Ortega <jom#nextret.net>
Ivan Renedo Chantres <irc#nextret.net>

%clean

%prep

%setup -q -n %{name}-%{version}

%install
mkdir -p %{buildroot}/etc/Linkat
cp -a * %{buildroot}/etc/Linkat

%post
if [ ! -f /etc/profile.d/linkat4-client_configuration-install-icon.sh ] ; then
	ln -s /etc/Linkat/lib/linkat4-client_configuration-install-icon.sh /etc/profile.d/linkat4-client_configuration-install-icon.sh
fi
/etc/profile.d/linkat4-client_configuration-install-icon.sh

%postun
if [ ! -f /etc/profile.d/linkat4-client_configuration-install-icon.sh ] ; then
	rm /etc/profile.d/linkat4-client_configuration-install-icon.sh
fi
if [ -f /root/Escriptori/linkat4-client_configuration.desktop ] ; then
	rm /root/Escriptori/linkat4-client_configuration.desktop
fi
if [ -f /etc/Linkat/backup/icon_installed ] ; then
	rm /etc/Linkat/backup/icon_installed
fi

%files
%dir %attr(750,root,root) /etc/Linkat
%dir %attr(750,root,root) /etc/Linkat/backup
%dir %attr(750,root,root) /etc/Linkat/data
%dir %attr(750,root,root) /etc/Linkat/install
%dir %attr(750,root,root) /etc/Linkat/lib
%dir %attr(750,root,root) /etc/Linkat/uninstall

%attr(750,root,root) /etc/Linkat/Linkat.installer
%attr(750,root,root) /etc/Linkat/Linkat.sh
%attr(640,root,root) /etc/Linkat/Linkat.conf

%attr(640,root,root) /etc/Linkat/data/.edu.xtec.properties
%attr(640,root,root) /etc/Linkat/data/auto.homes.Linkat
%attr(640,root,root) /etc/Linkat/data/auto.nfs.Linkat
%attr(640,root,root) /etc/Linkat/data/auto.samba.Linkat
%attr(640,root,root) /etc/Linkat/data/eines_lnadmin_client.tar.gz
%attr(640,root,root) /etc/Linkat/data/jclic.cfg
%attr(640,root,root) /etc/Linkat/data/jclicreports.desktop.Linkat
%attr(640,root,root) /etc/Linkat/data/ldap.conf.Linkat
%attr(640,root,root) /etc/Linkat/data/ntp.conf.Linkat
%attr(640,root,root) /etc/Linkat/data/session-manual.Linkat
%attr(640,root,root) /etc/Linkat/data/sudoers.Linkat
%attr(640,root,root) /etc/Linkat/data/xhost.desktop

%attr(750,root,root) /etc/Linkat/install/010_sudoers.sh
%attr(750,root,root) /etc/Linkat/install/015_local_user_argo.sh
%attr(750,root,root) /etc/Linkat/install/020_local_user_alumn.sh
%attr(750,root,root) /etc/Linkat/install/022_lnadmin.sh
%attr(750,root,root) /etc/Linkat/install/025_home_automount.sh
%attr(750,root,root) /etc/Linkat/install/035_ntp_client.sh
%attr(750,root,root) /etc/Linkat/install/040_jclic.sh
%attr(750,root,root) /etc/Linkat/install/045_shared_folders.sh
%attr(750,root,root) /etc/Linkat/install/050_ldap_client.sh
%attr(750,root,root) /etc/Linkat/install/060_stop_services.sh
%attr(750,root,root) /etc/Linkat/install/065_finish.sh

%attr(750,root,root) /etc/Linkat/lib/pass_user.sh
%attr(750,root,root) /etc/Linkat/lib/save_ldap_config.sh
%attr(750,root,root) /etc/Linkat/lib/configure_DNS.sh
%attr(750,root,root) /etc/Linkat/lib/discover_DNS.sh
%attr(750,root,root) /etc/Linkat/lib/linkat4-client_configuration-install-icon.sh
%attr(750,root,root) /etc/Linkat/lib/server_LDAP.sh
%attr(750,root,root) /etc/Linkat/lib/crypt_passwd.py
%attr(750,root,root) /etc/Linkat/lib/reboot.sh

%attr(750,root,root) /etc/Linkat/uninstall/010_home_automount.sh
%attr(750,root,root) /etc/Linkat/uninstall/015_ntp_client.sh
%attr(750,root,root) /etc/Linkat/uninstall/020_sudoers.sh
%attr(750,root,root) /etc/Linkat/uninstall/035_jclic.sh
%attr(750,root,root) /etc/Linkat/uninstall/040_ldap_client.sh
%attr(750,root,root) /etc/Linkat/uninstall/043_netconfig.sh
%attr(750,root,root) /etc/Linkat/uninstall/042_lnadmin.sh
%attr(750,root,root) /etc/Linkat/uninstall/045_finish.sh

%changelog
* Mon Apr 18 2011 Jordi "Txor" Casas Ríos <jordi.casas@opentrends.net>
- Adaptation and major rewrite of Linkat3 client_configuration for Linkat4.
- Added various user dialogs.
- Added guided DNS detection and configuration.
- Added launcher icon on root's desktop.
- Added uninstall icon on lnadmin's desktop.
- Removed patch system.
- Removed smtpd configuration.
- Removed backup configuration.
- Removed repositories configuration.

